<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'harbour.php');
/**
 * harbours class 
 *
 */
class harbours extends databasetable
{
	/**
	 * initiates the harbours class
	 *
	 */
	function harbours(){
		$this->set_tablename(TABLE_HARBOURS);
		$this->set_index('harbours_id');
		$this->related_tables = array();
	}
	
	/**
	 * return a harbour object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_harbour($id){
		$values = $this->get_row_by_index($id);
		$harbour_instance = new harbour( (object) current($values) );
		return $harbour_instance;
	}
}
